Package org.drinkless.tdlib

# Class TdApi.MessageLocation

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageLocation

Enclosing class:
  `TdApi`

public static class TdApi.MessageLocation extends TdApi.MessageContent
A message with a location.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `expiresIn`
  Left time for which the location can be updated, in seconds.
  `int`
  `heading`
  For live locations, a direction in which the location moves, in degrees; 1-360.
  `int`
  `livePeriod`
  Time relative to the message send date, for which the location can be updated, in seconds; if 0x7FFFFFFF, then location can be updated forever.
  `TdApi.Location`
  `location`
  The location description.
  `int`
  `proximityAlertRadius`
  For live locations, a maximum distance to another chat member for proximity alerts, in meters (0-100000).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageLocation()`
  A message with a location.
  `MessageLocation(TdApi.Location location, int livePeriod, int expiresIn, int heading, int proximityAlertRadius)`
  A message with a location.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### location

    public TdApi.Location location
    The location description.

  - ### livePeriod

    public int livePeriod
    Time relative to the message send date, for which the location can be updated, in seconds; if 0x7FFFFFFF, then location can be updated forever.

  - ### expiresIn

    public int expiresIn
    Left time for which the location can be updated, in seconds. If 0, then the location can't be updated anymore. The update updateMessageContent is not sent when this field changes.

  - ### heading

    public int heading
    For live locations, a direction in which the location moves, in degrees; 1-360. If 0 the direction is unknown.

  - ### proximityAlertRadius

    public int proximityAlertRadius
    For live locations, a maximum distance to another chat member for proximity alerts, in meters (0-100000). 0 if the notification is disabled. Available only to the message sender.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageLocation

    public MessageLocation()
    A message with a location.

  - ### MessageLocation

    public MessageLocation(TdApi.Location location, int livePeriod, int expiresIn, int heading, int proximityAlertRadius)
    A message with a location.
    Parameters:
      `location` - The location description.
      `livePeriod` - Time relative to the message send date, for which the location can be updated, in seconds; if 0x7FFFFFFF, then location can be updated forever.
      `expiresIn` - Left time for which the location can be updated, in seconds. If 0, then the location can't be updated anymore. The update updateMessageContent is not sent when this field changes.
      `heading` - For live locations, a direction in which the location moves, in degrees; 1-360. If 0 the direction is unknown.
      `proximityAlertRadius` - For live locations, a maximum distance to another chat member for proximity alerts, in meters (0-100000). 0 if the notification is disabled. Available only to the message sender.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR